PTLib Version 2.12.9

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Classes | Macros | Functions
videoio.h File Reference
`#include <ptbuildopts.h>`
`#include <ptlib/plugin.h>`
`#include <ptlib/pluginmgr.h>`
`#include <list>`
Include dependency graph for videoio.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes
class | PVideoFrameInfo
class | PVideoControlInfo
class | PVideoInputControl
| This class defines a video Input device control (Camera controls PTZ) More...
class | PVideoInteractionInfo
| This class defines a video Input device Interactions (Remote Inputs/Controls) More...
class | PVideoDevice
| This class defines a video device. More...
struct | PVideoDevice::Attributes
struct | PVideoDevice::OpenArgs
class | PVideoOutputDevice
| This class defines a video output device. More...
class | PVideoOutputDeviceRGB
| This class defines a video output device for RGB in a frame store. More...
class | PVideoInputDevice
| This class defines a video input device. More...
struct | PVideoInputDevice::Capabilities
class | PVideoInputPluginServiceDescriptor< className >
class | PVideoOutputPluginServiceDescriptor< className >
class | PVideoFont
struct | PVideoFont::LetterData

## Macros
#define | PCREATE_VIDINPUT_PLUGIN(name)
#define | P_FAKE_VIDEO_DRIVER "FakeVideo"
#define | P_FAKE_VIDEO_PREFIX "Fake/"
#define | P_FAKE_VIDEO_MOVING_BLOCKS P_FAKE_VIDEO_PREFIX"MovingBlocks"
#define | P_FAKE_VIDEO_MOVING_LINE P_FAKE_VIDEO_PREFIX"MovingLine"
#define | P_FAKE_VIDEO_BOUNCING_BOXES P_FAKE_VIDEO_PREFIX"BouncingBoxes"
#define | P_FAKE_VIDEO_SOLID_COLOUR P_FAKE_VIDEO_PREFIX"SolidColour"
#define | P_FAKE_VIDEO_TEXT P_FAKE_VIDEO_PREFIX"Text"
#define | P_FAKE_VIDEO_NTSC P_FAKE_VIDEO_PREFIX"NTSCTest"
#define | PCREATE_VIDOUTPUT_PLUGIN(name)
#define | P_NULL_VIDEO_DRIVER "NULLOutput"
#define | P_NULL_VIDEO_DEVICE "Null Video Out"

## Functions
| PPLUGIN_STATIC_LOAD (FakeVideo, PVideoInputDevice)
| PPLUGIN_STATIC_LOAD (NULLOutput, PVideoOutputDevice)

## Macro Definition Documentation

#define P_FAKE_VIDEO_BOUNCING_BOXES P_FAKE_VIDEO_PREFIX"BouncingBoxes"

#define P_FAKE_VIDEO_DRIVER "FakeVideo"

#define P_FAKE_VIDEO_MOVING_BLOCKS P_FAKE_VIDEO_PREFIX"MovingBlocks"

#define P_FAKE_VIDEO_MOVING_LINE P_FAKE_VIDEO_PREFIX"MovingLine"

#define P_FAKE_VIDEO_NTSC P_FAKE_VIDEO_PREFIX"NTSCTest"

#define P_FAKE_VIDEO_PREFIX "Fake/"

#define P_FAKE_VIDEO_SOLID_COLOUR P_FAKE_VIDEO_PREFIX"SolidColour"

#define P_FAKE_VIDEO_TEXT P_FAKE_VIDEO_PREFIX"Text"

#define P_NULL_VIDEO_DEVICE "Null Video Out"

#define P_NULL_VIDEO_DRIVER "NULLOutput"

#define PCREATE_VIDINPUT_PLUGIN | ( |  | name | ) |

Value:
static PVideoInputPluginServiceDescriptor<PVideoInputDevice_##name> PVideoInputDevice_##name##_descriptor; \
PCREATE_PLUGIN(name, PVideoInputDevice, &PVideoInputDevice_##name##_descriptor)

#define PCREATE_VIDOUTPUT_PLUGIN | ( |  | name | ) |

Value:
static PVideoOutputPluginServiceDescriptor<PVideoOutputDevice_##name> PVideoOutputDevice_##name##_descriptor; \
PCREATE_PLUGIN(name, PVideoOutputDevice, &PVideoOutputDevice_##name##_descriptor)

## Function Documentation

PPLUGIN_STATIC_LOAD | ( | FakeVideo | ,
|  | PVideoInputDevice |
| ) |  |

PPLUGIN_STATIC_LOAD | ( | NULLOutput | ,
|  | PVideoOutputDevice |
| ) |  |